<?xml version="1.0"?>
<project xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 https://maven.apache.org/xsd/maven-4.0.0.xsd" xmlns="http://maven.apache.org/POM/4.0.0"
    xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance">
    <modelVersion>4.0.0</modelVersion>
    <artifactId>amos-boot-system-jxiop</artifactId>
    <parent>
        <artifactId>amos-biz-boot</artifactId>
        <groupId>com.amosframework.boot</groupId>
        <version>1.0.0</version>
    </parent>
    <packaging>pom</packaging>
  
  <modules>
  	  <module>amos-boot-module-jxiop-api</module>
  	  <module>amos-boot-module-jxiop-biz</module>
      <module>amos-boot-module-hygf-api</module>
      <module>amos-boot-module-hygf-biz</module>
      <module>amos-boot-module-jxiop-monitor-biz</module>
      <module>amos-boot-module-jxiop-bigscreen-biz</module>
      <module>amos-boot-module-jxiop-analyse-biz</module>
      <module>amos-boot-module-jxiop-warn-biz</module>
      <module>amos-boot-module-jxiop-das</module>
  </modules>

    <dependencies>
    	<dependency>
			<groupId>com.amosframework.boot</groupId>
			<artifactId>amos-boot-biz-common</artifactId>
			<version>${amos-biz-boot.version}</version>
			<exclusions>
				<exclusion>
					<artifactId>poi-ooxml</artifactId>
					<groupId>org.apache.poi</groupId>
				</exclusion>
                <exclusion>
                    <artifactId>easypoi-base</artifactId>
                    <groupId>cn.afterturn</groupId>
                </exclusion>
                <exclusion>
                    <artifactId>easypoi-annotation</artifactId>
                    <groupId>cn.afterturn</groupId>
                </exclusion>
                <exclusion>
                    <artifactId>easypoi-web</artifactId>
                    <groupId>cn.afterturn</groupId>
                </exclusion>
                <exclusion>
                    <artifactId>poi-ooxml-schemas</artifactId>
                    <groupId>org.apache.poi</groupId>
                </exclusion>
                <exclusion>
                    <artifactId>poi</artifactId>
                    <groupId>org.apache.poi</groupId>
                </exclusion>
            </exclusions>
		</dependency>
        <dependency>
            <groupId>org.apache.commons</groupId>
            <artifactId>commons-text</artifactId>
            <version>1.9</version>
        </dependency>
        <dependency>
            <groupId>com.yeejoin</groupId>
            <artifactId>amos-feign-privilege</artifactId>
            <version>1.9.0-SNAPSHOT</version>
        </dependency>
        <dependency>
            <groupId>com.amosframework.boot</groupId>
            <artifactId>mcb-feign-warning</artifactId>
            <version>2.0.2-SNAPSHOT</version>
        </dependency>

        <!-- druid -->
        <dependency>
            <groupId>com.alibaba</groupId>
            <artifactId>druid-spring-boot-starter</artifactId>
            <version>1.1.10</version>
        </dependency>
        <dependency>
            <groupId>org.springframework.boot</groupId>
            <artifactId>spring-boot-starter-jdbc</artifactId>
        </dependency>
        <!-- Vastbase G100 -->
        <dependency>
            <groupId>cn.com.vastdata</groupId>
            <artifactId>vastbase</artifactId>
            <version>1.0.0.2</version>
        </dependency>

        <!-- Logstash -->
        <dependency>
            <groupId>net.logstash.logback</groupId>
            <artifactId>logstash-logback-encoder</artifactId>
            <version>6.3</version>
        </dependency>
        <dependency>
            <groupId>com.kingbase8</groupId>
            <artifactId>kingbase8</artifactId>
            <version>8.6.0</version>
        </dependency>
        <dependency>
            <groupId>org.messaginghub</groupId>
            <artifactId>pooled-jms</artifactId>
            <version>1.0.5</version>
        </dependency>
        
        <dependency>
	      <groupId>com.kingbase8</groupId>
	      <artifactId>kingbase8</artifactId>
	      <version>8.6.0</version>
	   </dependency>
	   <dependency>
		  <groupId>org.typroject</groupId>
		  <artifactId>tyboot-component-emq</artifactId>
		  <version>${tyboot-version}</version>
		</dependency>
		<dependency>
		  <groupId>org.elasticsearch</groupId>
          <artifactId>elasticsearch</artifactId>
          <version>${elasticsearch.version}</version>
		</dependency>
		<dependency>
			<groupId>org.springframework.boot</groupId>
			<artifactId>spring-boot-starter-data-elasticsearch</artifactId>
		</dependency>
    </dependencies>

</project>
